#include "eval_input.h"

eval_input::eval_input(const expression &expr): eval_op(expr) {
}


void eval_input::eval(vars_type &variables, const kwargs_type &kwargs) {
   variables[expr_id_] = kwargs.at(op_name_);
}

std::shared_ptr<eval_op> eval_input::clone(const expression &expr) {
    return std::make_shared<eval_input>(expr);
}